--   Create Schema Script
--   XFRAME_initDB
--   for Oracle
--   Script Created at  : 2008-11-11




-- DDL Script for TABLE XFRAME.CODE

CREATE TABLE XFRAME.CODE 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	CODEID           VARCHAR2 (40) NOT NULL,
	NAME             VARCHAR2 (60),
	DELIMITER        VARCHAR2 (10),
	STYLE            CHAR (1),
	DATA             CLOB,
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	DIRECTORY        VARCHAR2 (255) NOT NULL
)
LOGGING
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.CODE IS 'ڵ  ̺' ;
COMMENT ON COLUMN XFRAME.CODE.CODEID IS 'ڵ̵' ;
COMMENT ON COLUMN XFRAME.CODE.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.CODE.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.CODE.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.CODE.DATA IS 'ڵ峻' ;
COMMENT ON COLUMN XFRAME.CODE.DELIMITER IS '' ;
COMMENT ON COLUMN XFRAME.CODE.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.CODE.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.CODE.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.CODE.NAME IS 'ڵ̸' ;
COMMENT ON COLUMN XFRAME.CODE.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.CODE.STYLE IS 'Ʈ,ƮŸ' ;

CREATE UNIQUE INDEX XFRAME.CODE_PK 
ON XFRAME.CODE
(
	PROJECTID ASC,
	CODEID ASC,
	DIRECTORY ASC
);

ALTER TABLE XFRAME.CODE ADD(
	CONSTRAINT CODE_PK PRIMARY KEY (PROJECTID, CODEID, DIRECTORY));




-- DDL Script for TABLE XFRAME.DIRECTORIES

CREATE TABLE XFRAME.DIRECTORIES 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	COMMENTFIELD     VARCHAR2 (255)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.DIRECTORIES IS '丮  ̺' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.DIRECTORIES.PROJECTID IS 'Ʈ̵' ;

CREATE UNIQUE INDEX XFRAME.DIRECTORIES_PK 
ON XFRAME.DIRECTORIES
(
	PROJECTID ASC,
	DIRECTORY ASC
);

ALTER TABLE XFRAME.DIRECTORIES ADD(
	CONSTRAINT DIRECTORIES_PK PRIMARY KEY (PROJECTID, DIRECTORY));




-- DDL Script for TABLE XFRAME.IMAGE

CREATE TABLE XFRAME.IMAGE 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	IMAGEID          VARCHAR2 (40) NOT NULL,
	IMAGETYPE        CHAR (3),
	NAME             VARCHAR2 (50),
	DATA             CLOB,
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.IMAGE IS '̹  ̺' ;
COMMENT ON COLUMN XFRAME.IMAGE.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.IMAGE.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.IMAGE.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.IMAGE.DATA IS '̹' ;
COMMENT ON COLUMN XFRAME.IMAGE.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.IMAGE.IMAGEID IS '̵̹' ;
COMMENT ON COLUMN XFRAME.IMAGE.IMAGETYPE IS '' ;
COMMENT ON COLUMN XFRAME.IMAGE.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.IMAGE.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.IMAGE.NAME IS '̸̹' ;
COMMENT ON COLUMN XFRAME.IMAGE.PROJECTID IS 'Ʈ̵' ;

CREATE UNIQUE INDEX XFRAME.IMAGE_PK 
ON XFRAME.IMAGE
(
	PROJECTID ASC,
	DIRECTORY ASC,
	IMAGEID ASC
);

ALTER TABLE XFRAME.IMAGE ADD(
	CONSTRAINT IMAGE_PK PRIMARY KEY (PROJECTID, DIRECTORY, IMAGEID));




-- DDL Script for TABLE XFRAME.LIBRARY

CREATE TABLE XFRAME.LIBRARY 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	LIBRARYID        VARCHAR2 (40) NOT NULL,
	TYPE             CHAR (3),
	NAME             VARCHAR2 (50),
	DATA             CLOB,
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.LIBRARY IS '̺귯  ̺' ;
COMMENT ON COLUMN XFRAME.LIBRARY.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.LIBRARY.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.LIBRARY.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.LIBRARY.DATA IS 'LIBRARY DATA' ;
COMMENT ON COLUMN XFRAME.LIBRARY.LIBRARYID IS 'LIBRARY̵' ;
COMMENT ON COLUMN XFRAME.LIBRARY.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.LIBRARY.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.LIBRARY.NAME IS 'LIBRARY ̸' ;
COMMENT ON COLUMN XFRAME.LIBRARY.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.LIBRARY.TYPE IS '' ;

CREATE UNIQUE INDEX XFRAME.LIBRARY_PK 
ON XFRAME.LIBRARY
(
	PROJECTID ASC,
	LIBRARYID ASC
);

ALTER TABLE XFRAME.LIBRARY ADD(
	CONSTRAINT LIBRARY_PK PRIMARY KEY (PROJECTID, LIBRARYID));




-- DDL Script for TABLE XFRAME.MENU

CREATE TABLE XFRAME.MENU 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	MENUID           VARCHAR2 (40) NOT NULL,
	COMMENTFIELD     VARCHAR2 (255),
	DATA             CLOB,
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	COMPONENT        VARCHAR2 (40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.MENU IS '޴  ̺' ;
COMMENT ON COLUMN XFRAME.MENU.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.MENU.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MENU.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MENU.DATA IS '޴' ;
COMMENT ON COLUMN XFRAME.MENU.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.MENU.MENUID IS '޴̵' ;
COMMENT ON COLUMN XFRAME.MENU.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MENU.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MENU.PROJECTID IS 'Ʈ̵' ;

CREATE UNIQUE INDEX XFRAME.MENU_PK 
ON XFRAME.MENU
(
	PROJECTID ASC,
	MENUID ASC,
	DIRECTORY ASC
);

ALTER TABLE XFRAME.MENU ADD(
	CONSTRAINT MENU_PK PRIMARY KEY (PROJECTID, MENUID, DIRECTORY));




-- DDL Script for TABLE XFRAME.MODULE

CREATE TABLE XFRAME.MODULE 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	MODULEID         VARCHAR2 (40) NOT NULL,
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	VBSCRIPT         CLOB,
	JAVASCRIPT       CLOB
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.MODULE IS '  ̺' ;
COMMENT ON COLUMN XFRAME.MODULE.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MODULE.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MODULE.JAVASCRIPT IS 'JAVASCRIPT ڵ' ;
COMMENT ON COLUMN XFRAME.MODULE.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MODULE.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MODULE.MODULEID IS '̵' ;
COMMENT ON COLUMN XFRAME.MODULE.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.MODULE.VBSCRIPT IS 'VBSCRIPT ڵ' ;

CREATE UNIQUE INDEX XFRAME.MODULE_PK 
ON XFRAME.MODULE
(
	PROJECTID ASC,
	MODULEID ASC
);

ALTER TABLE XFRAME.MODULE ADD(
	CONSTRAINT MODULE_PK PRIMARY KEY (PROJECTID, MODULEID));




-- DDL Script for TABLE XFRAME.MODULECHECKOUT

CREATE TABLE XFRAME.MODULECHECKOUT 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	MODULEID         VARCHAR2 (40) NOT NULL,
	CHECKOUTUSERID   VARCHAR2 (40) NOT NULL,
	CHECKOUTIPADDRESS VARCHAR2 (15) NOT NULL,
	CHECKOUTTIME     CHAR (14)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.MODULECHECKOUT IS ' üũƿ ̺' ;
COMMENT ON COLUMN XFRAME.MODULECHECKOUT.CHECKOUTIPADDRESS IS 'üũƿ IPּ' ;
COMMENT ON COLUMN XFRAME.MODULECHECKOUT.CHECKOUTTIME IS 'üũƿ ð' ;
COMMENT ON COLUMN XFRAME.MODULECHECKOUT.CHECKOUTUSERID IS 'üũƿ ̵' ;
COMMENT ON COLUMN XFRAME.MODULECHECKOUT.MODULEID IS '̵' ;
COMMENT ON COLUMN XFRAME.MODULECHECKOUT.PROJECTID IS 'Ʈ̵' ;

CREATE UNIQUE INDEX XFRAME.MODULECHECKOUT_PK 
ON XFRAME.MODULECHECKOUT
(
	PROJECTID ASC,
	MODULEID ASC
);

ALTER TABLE XFRAME.MODULECHECKOUT ADD(
	CONSTRAINT MODULECHECKOUT_PK PRIMARY KEY (PROJECTID, MODULEID));




-- DDL Script for TABLE XFRAME.MODULEHISTORY

CREATE TABLE XFRAME.MODULEHISTORY 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	MODULEID         VARCHAR2 (40) NOT NULL,
	SAVETIME         CHAR (14) NOT NULL,
	SAVEUSERID       VARCHAR2 (40) NOT NULL,
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14) NOT NULL,
	MODIFYUSERID     VARCHAR2 (40),
	EVENTTYPE        CHAR (1),
	VBSCRIPT         CLOB,
	JAVASCRIPT       CLOB
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.MODULEHISTORY IS '峻 ̺' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.EVENTTYPE IS '̺Ʈ' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.JAVASCRIPT IS 'JAVASCRIPT ڵ' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.MODULEID IS '̵' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.SAVETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.SAVEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.MODULEHISTORY.VBSCRIPT IS 'VBSCRIPT ڵ' ;

CREATE UNIQUE INDEX XFRAME.MODULEHISTORY_PK 
ON XFRAME.MODULEHISTORY
(
	PROJECTID ASC,
	MODULEID ASC,
	SAVETIME ASC,
	SAVEUSERID ASC
);

ALTER TABLE XFRAME.MODULEHISTORY ADD(
	CONSTRAINT MODULEHISTORY_PK PRIMARY KEY (PROJECTID, MODULEID, SAVETIME, SAVEUSERID));




-- DDL Script for TABLE XFRAME.PROJECT

CREATE TABLE XFRAME.PROJECT 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	PROJECTTYPE      CHAR (1),
	NAME             VARCHAR2 (50),
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.PROJECT IS 'Ʈ ̺' ;
COMMENT ON COLUMN XFRAME.PROJECT.PROJECTTYPE IS 'Ʈ Ÿ' ;
COMMENT ON COLUMN XFRAME.PROJECT.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.PROJECT.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.PROJECT.NAME IS '̸' ;
COMMENT ON COLUMN XFRAME.PROJECT.PROJECTID IS 'Ʈ̵' ;

CREATE UNIQUE INDEX XFRAME.PROJECT_PK 
ON XFRAME.PROJECT
(
	PROJECTID ASC
);

ALTER TABLE XFRAME.PROJECT ADD(
	CONSTRAINT PROJECT_PK PRIMARY KEY (PROJECTID));




-- DDL Script for TABLE XFRAME.SCREEN

CREATE TABLE XFRAME.SCREEN 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	SCREENID         VARCHAR2 (40) NOT NULL,
	TITLE            VARCHAR2 (255),
	HEADER           VARCHAR2 (4000),
	DATA             CLOB,
	HELP             CLOB,
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	VBSCRIPT         CLOB,
	JAVASCRIPT       CLOB
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.SCREEN IS 'ȭ  ̺' ;
COMMENT ON COLUMN XFRAME.SCREEN.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.SCREEN.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.SCREEN.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.SCREEN.DATA IS 'UI XML' ;
COMMENT ON COLUMN XFRAME.SCREEN.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.SCREEN.HEADER IS 'TRAN HEADER' ;
COMMENT ON COLUMN XFRAME.SCREEN.HELP IS '' ;
COMMENT ON COLUMN XFRAME.SCREEN.JAVASCRIPT IS 'JAVASCRIPT ڵ' ;
COMMENT ON COLUMN XFRAME.SCREEN.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.SCREEN.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.SCREEN.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.SCREEN.SCREENID IS 'ȭ̵' ;
COMMENT ON COLUMN XFRAME.SCREEN.TITLE IS '' ;
COMMENT ON COLUMN XFRAME.SCREEN.VBSCRIPT IS 'VBSCRIPT ڵ' ;

CREATE UNIQUE INDEX XFRAME.SCREEN_PK 
ON XFRAME.SCREEN
(
	PROJECTID ASC,
	DIRECTORY ASC,
	SCREENID ASC
);

ALTER TABLE XFRAME.SCREEN ADD(
	CONSTRAINT SCREEN_PK PRIMARY KEY (PROJECTID, DIRECTORY, SCREENID));




-- DDL Script for TABLE XFRAME.SCREENCHECKOUT

CREATE TABLE XFRAME.SCREENCHECKOUT 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	SCREENID         VARCHAR2 (40) NOT NULL,
	CHECKOUTUSERID   VARCHAR2 (40) NOT NULL,
	CHECKOUTIPADDRESS VARCHAR2 (15) NOT NULL,
	CHECKOUTTIME     CHAR (14)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.SCREENCHECKOUT IS 'ȭ üũƿ  ̺' ;
COMMENT ON COLUMN XFRAME.SCREENCHECKOUT.CHECKOUTIPADDRESS IS 'üũƿ IPּ' ;
COMMENT ON COLUMN XFRAME.SCREENCHECKOUT.CHECKOUTTIME IS 'üũƿ ð' ;
COMMENT ON COLUMN XFRAME.SCREENCHECKOUT.CHECKOUTUSERID IS 'üũƿ ̵' ;
COMMENT ON COLUMN XFRAME.SCREENCHECKOUT.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.SCREENCHECKOUT.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.SCREENCHECKOUT.SCREENID IS 'ȭ̵' ;

CREATE UNIQUE INDEX XFRAME.SCREENCHECKOUT_PK 
ON XFRAME.SCREENCHECKOUT
(
	PROJECTID ASC,
	DIRECTORY ASC,
	SCREENID ASC
);

ALTER TABLE XFRAME.SCREENCHECKOUT ADD(
	CONSTRAINT SCREENCHECKOUT_PK PRIMARY KEY (PROJECTID, DIRECTORY, SCREENID));




-- DDL Script for TABLE XFRAME.SCREENHISTORY

CREATE TABLE XFRAME.SCREENHISTORY 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	SCREENID         VARCHAR2 (40) NOT NULL,
	SAVETIME         CHAR (14) NOT NULL,
	SAVEUSERID       VARCHAR2 (40) NOT NULL,
	TITLE            VARCHAR2 (255),
	HEADER           VARCHAR2 (4000),
	DATA             CLOB,
	HELP             CLOB,
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	EVENTTYPE        CHAR (1),
	VBSCRIPT         CLOB,
	JAVASCRIPT       CLOB
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.SCREENHISTORY IS 'ȭ  ̺' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.DATA IS 'UI XML' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.EVENTTYPE IS '̺Ʈ' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.HEADER IS 'TRAN HEADER' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.HELP IS '' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.JAVASCRIPT IS 'JAVASCRIPT ڵ' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.SAVETIME IS 'ð ' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.SAVEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.SCREENID IS 'ȭ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.TITLE IS '' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORY.VBSCRIPT IS 'VBSCRIPT ڵ' ;

CREATE UNIQUE INDEX XFRAME.SCREENHISTORY_PK 
ON XFRAME.SCREENHISTORY
(
	PROJECTID ASC,
	DIRECTORY ASC,
	SCREENID ASC,
	SAVETIME ASC,
	SAVEUSERID ASC
);

ALTER TABLE XFRAME.SCREENHISTORY ADD(
	CONSTRAINT SCREENHISTORY_PK PRIMARY KEY (PROJECTID, DIRECTORY, SCREENID, SAVETIME, SAVEUSERID));



-- DDL Script for TABLE XFRAME.SCREENHISTORYOPTION

CREATE TABLE XFRAME.SCREENHISTORYOPTION 
(
	PROJECTID      VARCHAR2(40) NOT NULL,
  	EXPIREDATE     VARCHAR2(10) NOT NULL,
  	EXPIRENUMBER   VARCHAR2(10) NOT NULL, 
  	MODIFYTIME     CHAR(14),
  	MODIFYUSERID   VARCHAR2(40), 
  	CREATETIME     CHAR(14),
  	CREATEUSERID   VARCHAR2(40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.SCREENHISTORYOPTION IS 'ȭ   ̺' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.EXPIREDATE IS 'ȭ ȿ' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.EXPIRENUMBER IS 'ȭ ȿ' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.SCREENHISTORYOPTION.CREATEUSERID IS 'ھ̵' ;

CREATE UNIQUE INDEX XFRAME.SCREENHISTORYOPTION_PK 
ON XFRAME.SCREENHISTORYOPTION
(
	PROJECTID ASC
);

ALTER TABLE XFRAME.SCREENHISTORYOPTION ADD(
	CONSTRAINT SCREENHISTORYOPTION_PK PRIMARY KEY (PROJECTID));




-- DDL Script for TABLE XFRAME.TEMPLATE

CREATE TABLE XFRAME.TEMPLATE 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	TEMPLATEID       VARCHAR2 (40) NOT NULL,
	NAME             VARCHAR2 (50),
	DATA             CLOB,
	JAVASCRIPT             CLOB,
	VBSCRIPT             CLOB,
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.TEMPLATE IS 'ø  ̺' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.DATA IS '' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.JAVASCRIPT IS 'JavaScript ' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.VBSCRIPT IS 'VBScript ' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.NAME IS '̸' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.TEMPLATE.TEMPLATEID IS 'ø̵' ;

CREATE UNIQUE INDEX XFRAME.TEMPLATE_PK 
ON XFRAME.TEMPLATE
(
	PROJECTID ASC,
	TEMPLATEID ASC
);

ALTER TABLE XFRAME.TEMPLATE ADD(
	CONSTRAINT TEMPLATE_PK PRIMARY KEY (PROJECTID, TEMPLATEID));




-- DDL Script for TABLE XFRAME.USERDIRECTORYAUTHORITY

CREATE TABLE XFRAME.USERDIRECTORYAUTHORITY 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	DIRECTORY        VARCHAR2 (255) NOT NULL,
	USERID           VARCHAR2 (40) NOT NULL,
	DIRECTORYMANAGER CHAR (1),
	SCREENPERMISSION CHAR (1),
	CODEPERMISSION   CHAR (1),
	IMAGEPERMISSION  CHAR (1),
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40),
	DIRECTORYHIDDEN  CHAR (1)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.USERDIRECTORYAUTHORITY IS '丮ڱ  ̺' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.CODEPERMISSION IS 'ڵ' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.DIRECTORY IS '丮' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.DIRECTORYMANAGER IS '丮' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.IMAGEPERMISSION IS '̹' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.SCREENPERMISSION IS 'ȭ' ;
COMMENT ON COLUMN XFRAME.USERDIRECTORYAUTHORITY.USERID IS 'ھ̵' ;

CREATE UNIQUE INDEX XFRAME.USERDIRECTORYAUTHORITY_PK 
ON XFRAME.USERDIRECTORYAUTHORITY
(
	PROJECTID ASC,
	DIRECTORY ASC,
	USERID ASC
);

ALTER TABLE XFRAME.USERDIRECTORYAUTHORITY ADD(
	CONSTRAINT USERDIRECTORYAUTHORITY_PK PRIMARY KEY (PROJECTID, DIRECTORY, USERID));




-- DDL Script for TABLE XFRAME.USEREVENT

CREATE TABLE XFRAME.USEREVENT 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	USERID           VARCHAR2 (40) NOT NULL,
	EVENTTIME        CHAR (14) NOT NULL,
	EVENTTYPE        CHAR (1),
	IPADDRESS        VARCHAR2 (15)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.USEREVENT IS '̺Ʈ  ̺' ;
COMMENT ON COLUMN XFRAME.USEREVENT.EVENTTIME IS '̺Ʈð' ;
COMMENT ON COLUMN XFRAME.USEREVENT.EVENTTYPE IS '̺Ʈ' ;
COMMENT ON COLUMN XFRAME.USEREVENT.IPADDRESS IS 'ּ' ;
COMMENT ON COLUMN XFRAME.USEREVENT.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.USEREVENT.USERID IS 'ھ̵' ;

CREATE UNIQUE INDEX XFRAME.USEREVENT_PK 
ON XFRAME.USEREVENT
(
	PROJECTID ASC,
	USERID ASC,
	EVENTTIME ASC
);

ALTER TABLE XFRAME.USEREVENT ADD(
	CONSTRAINT USEREVENT_PK PRIMARY KEY (PROJECTID, USERID, EVENTTIME));




-- DDL Script for TABLE XFRAME.USERMODULEAUTHORITY

CREATE TABLE XFRAME.USERMODULEAUTHORITY 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	MODULEID         VARCHAR2 (40) NOT NULL,
	USERID           VARCHAR2 (40) NOT NULL,
	MODULEPERMISSION CHAR (1),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.USERMODULEAUTHORITY IS 'ڱ  ̺' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.MODULEID IS '̵' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.MODULEPERMISSION IS '' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.USERMODULEAUTHORITY.USERID IS 'ھ̵' ;

CREATE UNIQUE INDEX XFRAME.USERMODULEAUTHORITY_PK 
ON XFRAME.USERMODULEAUTHORITY
(
	PROJECTID ASC,
	MODULEID ASC,
	USERID ASC
);

ALTER TABLE XFRAME.USERMODULEAUTHORITY ADD(
	CONSTRAINT USERMODULEAUTHORITY_PK PRIMARY KEY (PROJECTID, MODULEID, USERID));




-- DDL Script for TABLE XFRAME.USERTABLE

CREATE TABLE XFRAME.USERTABLE 
(
	PROJECTID        VARCHAR2 (40) NOT NULL,
	USERID           VARCHAR2 (40) NOT NULL,
	USERPASSWORD     VARCHAR2 (20),
	USERNAME         VARCHAR2 (50),
	USERLEVEL        VARCHAR2 (10),
	MANAGERUSERID    VARCHAR2 (40),
	COMMENTFIELD     VARCHAR2 (255),
	CREATETIME       CHAR (14),
	CREATEUSERID     VARCHAR2 (40),
	MODIFYTIME       CHAR (14),
	MODIFYUSERID     VARCHAR2 (40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.USERTABLE IS '  ̺' ;
COMMENT ON COLUMN XFRAME.USERTABLE.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.USERTABLE.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.USERTABLE.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERTABLE.MANAGERUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERTABLE.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.USERTABLE.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERTABLE.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.USERTABLE.USERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.USERTABLE.USERLEVEL IS 'ڵ' ;
COMMENT ON COLUMN XFRAME.USERTABLE.USERNAME IS '̸' ;
COMMENT ON COLUMN XFRAME.USERTABLE.USERPASSWORD IS 'ںйȣ' ;

CREATE UNIQUE INDEX XFRAME.USERTABLE_PK 
ON XFRAME.USERTABLE
(
	PROJECTID ASC,
	USERID ASC
);

ALTER TABLE XFRAME.USERTABLE ADD(
	CONSTRAINT USERTABLE_PK PRIMARY KEY (PROJECTID, USERID));


-- DDL Script for TABLE XFRAME.XDATASET

CREATE TABLE XFRAME.XDATASET
(
 	PROJECTID      VARCHAR2(40) NOT NULL,
  	XDATASETID     VARCHAR2(40) NOT NULL,
  	COMMENTFIELD   VARCHAR2(255),
  	COLUMNINFO     CLOB,
  	CREATETIME     CHAR(14),
  	CREATEUSERID   VARCHAR2(40),
  	MODIFYTIME     CHAR(14),
  	MODIFYUSERID   VARCHAR2(40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.XDATASET IS '뵥ͼ  ̺' ;
COMMENT ON COLUMN XFRAME.XDATASET.COLUMNINFO IS '÷ ' ;
COMMENT ON COLUMN XFRAME.XDATASET.COMMENTFIELD IS 'ͼ ' ;
COMMENT ON COLUMN XFRAME.XDATASET.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.XDATASET.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.XDATASET.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.XDATASET.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.XDATASET.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.XDATASET.XDATASETID IS '뵥ͼ¾̵' ;


CREATE UNIQUE INDEX XFRAME.XDATASET_PK
ON XFRAME.XDATASET
(
	PROJECTID ASC,
	XDATASETID ASC
);

ALTER TABLE XFRAME.XDATASET ADD(
	CONSTRAINT XDATASET_PK PRIMARY KEY (PROJECTID, XDATASETID));



-- DDL Script for TABLE XFRAME.METADATA

CREATE TABLE XFRAME.METADATA
(
 	PROJECTID      VARCHAR2(40) NOT NULL,
	METAID     VARCHAR2(40) NOT NULL,
	METACOMMENT   VARCHAR2(60) NOT NULL,
	METALENGTH     VARCHAR2(10) NOT NULL, 
	METAPLACE       VARCHAR2(10) NOT NULL, 
	CREATETIME     CHAR(14),
	CREATEUSERID   VARCHAR2(40),
	MODIFYTIME     CHAR(14),
	MODIFYUSERID   VARCHAR2(40)
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.METADATA IS 'Ÿ  ̺' ;
COMMENT ON COLUMN XFRAME.METADATA.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.METADATA.METAID IS 'ŸͿ̵' ;
COMMENT ON COLUMN XFRAME.METADATA.METACOMMENT IS 'Ÿѱۼ' ;
COMMENT ON COLUMN XFRAME.METADATA.METALENGTH IS 'Ÿ ' ;
COMMENT ON COLUMN XFRAME.METADATA.METAPLACE IS 'Ÿ Ҽ' ;
COMMENT ON COLUMN XFRAME.METADATA.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.METADATA.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.METADATA.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.METADATA.MODIFYUSERID IS 'ھ̵' ;


CREATE UNIQUE INDEX XFRAME.METADATA_PK
ON XFRAME.METADATA
(
	PROJECTID ASC,
	METAID ASC
);

ALTER TABLE XFRAME.METADATA ADD(
	CONSTRAINT METADATA_PK PRIMARY KEY (PROJECTID, METAID));
	
	

-- DDL Script for TABLE XFRAME.STYLE

CREATE TABLE XFRAME.STYLE
(
 	PROJECTID      VARCHAR2(40) NOT NULL,
 	COMPONENT      VARCHAR2(40) NOT NULL,
	STYLEID     	VARCHAR2(40) NOT NULL,
	COMMENTFIELD   VARCHAR2(255),
	DATA           CLOB,
	CREATETIME     CHAR(14),
	CREATEUSERID   VARCHAR2(40),
	MODIFYTIME     CHAR(14),
	MODIFYUSERID   VARCHAR2(40),
	STYLETHEMEID   VARCHAR2(40) NOT NULL
)
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;

COMMENT ON TABLE XFRAME.STYLE IS 'Ÿ  ̺' ;
COMMENT ON COLUMN XFRAME.STYLE.PROJECTID IS 'Ʈ̵' ;
COMMENT ON COLUMN XFRAME.STYLE.COMPONENT IS 'Ʈ' ;
COMMENT ON COLUMN XFRAME.STYLE.STYLEID IS 'ŸϾ̵' ;
COMMENT ON COLUMN XFRAME.STYLE.COMMENTFIELD IS '' ;
COMMENT ON COLUMN XFRAME.STYLE.DATA IS '' ;
COMMENT ON COLUMN XFRAME.STYLE.CREATETIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.STYLE.CREATEUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.STYLE.MODIFYTIME IS 'ð' ;
COMMENT ON COLUMN XFRAME.STYLE.MODIFYUSERID IS 'ھ̵' ;
COMMENT ON COLUMN XFRAME.STYLE.STYLETHEMEID IS '׸̵' ;


CREATE UNIQUE INDEX XFRAME.STYLE_PK
ON XFRAME.STYLE
(
	PROJECTID ASC,
	COMPONENT ASC,
	STYLEID ASC,
	STYLETHEMEID ASC
);

ALTER TABLE XFRAME.STYLE ADD(
	CONSTRAINT STYLE_PK PRIMARY KEY (PROJECTID, COMPONENT, STYLEID, STYLETHEMEID));
